package com.mosty.yjzl.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.qwzx.TbQwXfbb;
import com.mosty.base.model.entity.yjzl.TbFzycXljl;
import com.mosty.base.model.vo.yjzl.TbFzycXljlVo;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * <p>
 * 犯罪预测巡逻记录 Mapper 接口
 * </p>
 */
@Mapper
public interface TbFzycXljlMapper extends BaseMapper<TbFzycXljl> {

    @ApiOperation("新增犯罪区域记录")
    int insertEntity(TbFzycXljl xfbb);

    @ApiOperation("修改犯罪区域记录")
    int updateEntity(TbFzycXljl xfbb);

    @ApiOperation("修改犯罪区域记录")
    TbFzycXljl selectByFzBb(TbFzycXljlVo xljlVo);

    @ApiOperation("查询犯罪预警预测指令巡逻记录列表")
    List<TbFzycXljl> qfzxl(String fzyjyczlId);


    @ApiOperation("盘查人员数")
    int pcrys(String bbid);

    @ApiOperation("盘查车辆数")
    int pccls(String bbid);

}
